<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

require_once(FCPATH . '/application/libraries/base_table.php');

class Expense_type_table extends Base_table {

	function __construct()
	{
        parent::__construct(array('tbl'=>'expense_type', 'tbl_key'=>'expense_type_id'));
	}
	
	public function formatdata(&$data)
	{
		// $data['units'] = !empty($data['units'])? (' /'.$data['units']):'';
        return true;
    }
	
	public function store_default_data ($data)
	{
		$this->CI->load->database();
		
		if (empty($data['entity_id'])) {
			return false;
		}
		
		$dynamic_data  = array(
						'entity_id' 		=> $data['entity_id'],
						'created_by'		=> $data['user_id'],
						'created_date'		=> !empty($data['created_date'])?$data['created_date']:$this->CI->auth->get_timezone_date()
					);

		$static_data = array(
							array(
								'name' 		=> 'Accommodations',
								'unit_price'=> '50',
								'units'		=> 'day'
							),
							array(
									'name' 		=> 'Administration',
									'unit_price'=> '',
									'units'		=> ''
							),
							array(
								'name' 		=> 'Advertising',
								'unit_price'=> '',
								'units'		=> ''
							),
							
							array(
								'name' 		=> 'Meals',
								'unit_price'=> '',
								'units'		=> ''
							),
							array(
									'name' 		=> 'Mileage',
									'unit_price'=> '',
									'units'		=> ''
							),
							array(
									'name' 		=> 'Office supplies',
									'unit_price'=> '',
									'units'		=> ''
							),
							array(
									'name' 		=> 'Other expenses',
									'unit_price'=> '',
									'units'		=> ''
							),
							array(
									'name' 		=> 'Postage',
									'unit_price'=> '',
									'units'		=> ''
							),
							array(
									'name' 		=> 'Repairs',
									'unit_price'=> '',
									'units'		=> ''
							),
							array(
									'name' 		=> 'Stationery',
									'unit_price'=> '',
									'units'		=> ''
							)				
						);
						
		$values = array();
		
		foreach ($static_data as $val) {
			$values[] = array_merge($val,$dynamic_data);
		}
		
		return $this->CI->db->insert_batch($this->tbl, $values); 
	}
}
/* end of Expense_type_table.php */
