<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

require_once(APPPATH . '/models/timesheets/mod.timesheets_pm.php');

class Timesheets_pmf extends Timesheets_pm
{
	public $error	= '';

	function __construct()
	{
		parent::__construct();
		$this->load->library(OTBASE_PATH.'OT_App');
        $this->load->library(OTBASE_PATH.'OT_User');
	}
	
	public function unsubmitted_hours ($options = array())
	{
		$this->db->select('sum(t.hours) as unsubmitted');
		$this->db->from('project AS pr');
		$this->db->join('time_sheet AS t','pr.project_id=t.project_id','INNER');
				
		$this->db->where(array('t.entity_id'=>$this->ot_app->get('entity_id'), 't.project_id' => $options['filters']['pr.project_id'], 't.approval_status'=>''));
		
		if (!isset($options['filters']['t.is_billable'])) {
			$options['filters']['t.is_billable'] = 1;
		}
		$this->db->where(array('t.is_billable' => $options['filters']['t.is_billable']));
		if(!empty($options['from_date']))
			$this->db->where('t.entry_date >=', $options['from_date']);
			
		if(!empty($options['to_date']))
			$this->db->where('t.entry_date <=', $options['to_date']);

		$this->db->group_by('t.entity_id');			
		$query = $this->db->get();

		return $query->row_array();
	}
}

/* End of file mod.client.php */
