<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

?>
<div id="date-time-setting" class="box col-md-4 col-sm-4 nm" data-bind="css:{edit_box:_info.is_edit_mode}">
	<div class="panel panel-primary nb">
		<div class="panel-heading dib fw" style="padding:5px 15px;">
			<h4 class="dib vam" style="margin-top:5px;"><?php echo lang('TITLE_DATE_TIME'); ?></h4>
			<div class="pull-right" style="display:none" data-bind="visible:_info.is_edit_mode">
				<div class="btn-group">
					<button name="save" data-bind="click:save" class="btn btn-success btn-sm">
						<span class="icon-save icon-white"></span>&nbsp;<?php echo lang('SAVE'); ?>
					</button>
					<button name="cancel" data-bind="click:cancel" class="btn btn-primary btn-sm">
						<span class="icon-remove-sign icon-white"></span>
					</button>
				</div>
			</div>
			<div class="pull-right editbox" data-bind="hidden:_info.is_edit_mode">
				<button name="edit" class="btn btn-default btn-sm" data-bind="click:setEdit">
					<span class="icon-pencil"></span>&nbsp;<?php echo lang('EDIT'); ?>
				</button>
			</div>
			<div class="sep">&nbsp;</div>
		</div>
	</div>
	<div id="display" class="content" data-bind="hidden:_info.is_edit_mode, event:{dblclick:setEdit}">
		<div class="sub-title"><?php echo lang('TIME_ZONE'); ?></div>
		<hr class="list-group-item-heading">
		<small>
			<strong data-bind="text:_info.time_zone_disp"></strong>
			<br/>
			<span data-bind="text:_info.time_zone_city" class="small"></span>
		</small>
		<div class="sep">&nbsp;</div>
		<div class="sub-title"><?php echo lang('TIME_DATE_FORMAT'); ?></div>
		<hr class="list-group-item-heading">
		<small class="fw dib">
			<strong class="col-md-4 npl" data-bind="text:_info.date_format_disp"></strong>
			<strong class="col-md-4" data-bind="text:_info.time_format_disp"></strong>
		</small>
		<div class="sep">&nbsp;</div>
		<div class="sub-title"><?php echo lang('TIMESHEET_HOURS_DISPLAY_FORMAT'); ?></div>
		<hr class="list-group-item-heading">
		<small class="fw dib">
			<strong class="np col-md-12" data-bind="text:_info.period_format_disp"></strong>
		</small>
	</div>
	<div id="date-time-edit" data-bind="visible:_info.is_edit_mode"></div>
</div>
