<?php	if ( ! defined('BASEPATH')) exit('No direct script access allowed');
	
?>
<div id="projectcontent" class="box np" data-bind="with:project">
	<!-- ko ifnot:is_edit_mode() || getRoot().is_new_mode() == true -->
	<div class="box-edit-ctl pa right top">
		<button name="edit" class="btn btn-sm edit vh" data-bind="click:edit">
			<i class="icon-pencil">&nbsp;</i><?php echo lang('EDIT'); ?>
		</button>
	</div>
	<div class="row nm"  data-bind="event:{dblclick:edit}">
		<span class="h3 dib fw" data-bind="text:(project_code()+project_name())"></span>
		<span class="h5 dib fw" data-bind="text:client_name"></span>
		<span class="sep dib fw"></span>
		<p class="dib fw" data-bind="text:description"></p>
	</div>
	<!-- /ko -->
	<!-- ko if:is_edit_mode -->
		<!-- ko ifnot:getRoot().is_new_mode -->	 
			<div class="btn-save-ctl pull-right">
				<div class="btn-group">
					<button name="save" data-bind="click:save" class="btn btn-sm btn-success" id="save">
						<i class="icon-save icon-white">&nbsp;</i><?php echo lang('SAVE'); ?>
					</button>
					<button name="cancel" data-bind="click:cancel" class="btn btn-sm btn-primary" id="cancel">
						<i class="icon-remove-sign icon-white">&nbsp;</i>
					</button>
				</div>
			</div>
		<!-- /ko -->
	<div class="row">
		<div class="col-lg-5">
			<div class="form-group input-group">
				<i class="input-group-addon input-sm"><?php echo lang('NAME'); ?></i>
				<input type="text" class="form-control input-sm" placeholder="Project Name" data-bind="value:project_name" id="project_name"></input>
			 </div>
		</div>
	</div>
	<div class="row">
		<div class="col-lg-4">
			<div class="form-group input-group">
				<i class="input-group-addon input-sm"><?php echo lang('CODE'); ?>&nbsp;</i>
				<input type="text" id="project_code" class="form-control input-sm"  placeholder="Project Code" data-bind="value:project_code" maxlength="6"></input>
			 </div>
		</div>
		<div class="col-lg-1">
			<span class="colorpicker background-picker" data-bind="colorpicker:{value:bg_color, colors:Otime.bgpicker_colors}"></span>
		</div>
	</div>
	<div class="clearfix"></div>
	<div class="row">
		<div class="col-lg-5">
			<div class="form-group input-group">
				<i class="input-group-addon input-sm"><?php echo lang('CLIENT'); ?></i>
				<select class="form-control input-sm" id="project_client" data-bind="options:$parent.clients, optionsValue:'client_id', optionsText:'client_name', value:client_id">
				</select>
			</div>
		</div>
		<?php /*<div class="col-lg-5 col-md-offset-1">
			<div class="sep">&nbsp;</div>
			<label class="checkbox">
				<input type="checkbox" data-bind="checked:is_active" id="active"/><?php echo lang('ACTIVE'); ?>
			</label>
		</div>*/ ?>
		<div class="clearfix"></div>
	</div>
	<div class="row">
		<div class="col-lg-12">
			<textarea name="description" id="description" class="col-lg-12 form-control" placeholder="Description" style="height:100px" data-bind="value:description"></textarea>
		</div>
	</div>
	<!-- /ko -->
</div>
