<?php	if ( ! defined('BASEPATH')) exit('No direct script access allowed');
	
?>
<div id="bottom-pane" class="" data-bind="visible:isPane, with:selectedItem">
	<div class="dib fw fh nm tabbable tabs-left" style="border:1px solid #ddd;overflow:hidden;padding:5px;">
		<div class="btn-group-vertical" style="position:absolute;top:20px;left:10px;z-index:1;">
			<a title="Details" data-bind="css:{'active':$parent.is_detail}, click:$parent.onChangePane($parent.paneTypes.DETAIL)" class="btn btn-sm btn-primary active">
				<i style="color:#FFFFFF;" class="icon icon-pencil"></i>
			</a>
			<a title="All" data-bind="css:{'active':$parent.is_all}, click:$parent.onChangePane($parent.paneTypes.ALL)" class="btn btn-sm btn-primary">
				<i style="color:#FFFFFF;">All</i>
			</a>
			<a title="Comments" data-bind="css:{'active':$parent.is_comment}, click:$parent.onChangePane($parent.paneTypes.COMMENT)" class="btn btn-sm btn-primary">
				<i style="color:#FFFFFF;" class="icon icon-comments"></i>
			</a>
			<a title="Documents" data-bind="css:{'active':$parent.is_document}, click:$parent.onChangePane($parent.paneTypes.DOCUMENT)" class="btn btn-sm btn-primary">
				<i style="color:#FFFFFF;" class="icon icon-paperclip"></i>
			</a>
			<a title="Activities" data-bind="css:{'active':$parent.is_activity}, click:$parent.onChangePane($parent.paneTypes.ACTIVITY)" class="btn btn-sm btn-primary">
				<i style="color:#FFFFFF;" class="icon icon-ellipsis-horizontal"></i>
			</a>
		</div><?php /* ?>

		<ul class="nav nav-tabs nav-stacked" style="z-index:1;overflow:hidden;">
			<li class="nav-general" data-bind="css:{'active':$parent.is_detail}, click:$parent.onChangePane($parent.paneTypes.DETAIL)">
				<a class="icon icon-tasks" href="javascript:;" title="<?php echo lang('GENERAL')?>"></a>
			</li>
			<li class="nav-comments" data-bind="css:{'active':$parent.is_comment}, click:$parent.onChangePane($parent.paneTypes.COMMENT)">
				<a class="icon icon-comments" href="javascript:;" title="<?php echo lang('COMMENTS')?>"></a>
			</li>
			<li class="nav-documents" data-bind="css:{'active':$parent.is_document}, click:$parent.onChangePane($parent.paneTypes.DOCUMENT)">
				<a class="icon icon-paperclip" href="javascript:;" title="<?php echo lang('DOCUMENTS')?>"></a>
			</li>
			<li class="nav-activities" data-bind="css:{'active':$parent.is_activity}, click:$parent.onChangePane($parent.paneTypes.ACTIVITY)">
				<a class="icon-ellipsis-horizontal" href="javascript:;" title="<?php echo lang('ACTIVITIES')?>"></a>
			</li>
			<li class="nav-swappane">
				<a class="icon icon-retweet" href="javascript:;" data-bind="click:$parent.swapPanePos"></a>
			</li>
	</ul>
		*/?><div class="tab-content col-lg-10 col-md-11 col-sm-12 col-xs-12 pull-left">
			<!-- ko if:$parent.is_detail -->
			<div class="tab-pane active row nm" id="general">
				<div class="col-md-8 form-horizontal np">
					<div class="form-group">
						<label class="col-sm-2 control-label"><?php echo lang('TASK_NAME')?></label>
						<div class="col-sm-10">
							<input type="text" data-bind="value:form.name, nreadonly:is_editable" placeholder="<?php echo lang('TASK_NAME')?>" class="form-control" maxlength="500" />
						</div>
					</div>
					<div class="form-group">
						<label class="col-sm-2 control-label"><?php echo lang('DESCRIPTION')?></label>
						<div class="col-sm-10">
							<textarea data-bind="value:form.description, nreadonly:is_editable" class="form-control" rows="1" cols="" placeholder="<?php echo lang('DESCRIPTION')?>"></textarea>
						</div>
					</div>
					<div class="form-group">
						<label class="col-sm-2 control-label"><?php echo lang('TASK_TYPE')?></label>
						<div class="col-sm-6">
							<select data-bind="options:$root.task_types, optionsValue:'id', optionsText:'label', value:form.task_type_id, disable:(form.parent_task_id()>0 || !is_editable())" class="form-control input-sm">
							</select>
						</div>
						<label class="col-sm-2 control-label"><?php echo lang('PRIORITY')?></label>
						<div class="col-sm-2">
							<select data-bind="value:form.task_priority" class="form-control input-sm nm">
								<?php foreach ($task_priority as $key=>$val): ?>
								<option value="<?php echo $key; ?>"><?php echo $val; ?></option>
								<?php endforeach; ?>
							</select>
						</div>
					</div>
					<div class="form-group">
						<label class="col-sm-2 control-label"><?php echo lang('DURATION')?></label>
						<div class="col-sm-1 npr">
							<input class="form-control" type="number" min="0" max="365" step="1" data-bind="value:form.duration,numberOnly:true, disable:(children().length>0 || !is_editable())" placeholder="<?php echo lang('DURATION')?>" class="form-control" maxlength="3" />
						</div>
<?php /* ?>
						<label class="col-sm-2 checkbox">
							<input type="checkbox" data-bind="checked:form.is_milestone" /><?php echo lang('MILESTONE'); ?>
						</label>
<?php */ ?>
						<label class="col-sm-1 control-label"><?php echo lang('DATE')?></label>
						<div class="col-sm-4 np">
							<div class="pull-left pr" style="min-width:80px;">
								<h4 style="padding:7px;" data-bind="date:{date:form.start_date}" class="form-control pull-left nm"></h4>
								<input type="text" name="start" data-bind="value:form.start_date, datepicker:true, disable:(children().length>0 || !is_editable())" class="input-small dtpicker npl npr cp" placeholder="<?php echo lang('START_DATE')?>">
							</div>
							<span class="pull-left" style="margin-top:5px;">&nbsp;&nbsp;-&nbsp;&nbsp;</span>
							<div class="pull-left pr" style="min-width:80px;">
								<h4 style="padding:7px;" data-bind="date:{date:form.finish_date}" class="form-control pull-left nm"></h4>
								<input type="text" name="end" data-bind="value:form.finish_date, datepicker:true, disable:children().length>0" class="input-small dtpicker npl npr cp" placeholder="<?php echo lang('FINISH_DATE')?>">
							</div>
						</div>
						<span class="col-sm-2 control-label" style="white-space: nowrap;" ><?php echo lang('ESTIMATED_HOURS'); ?></span>
						<div class="col-sm-2">
							<input type="number" min="0" step="2" data-bind="value:form.estimated_hours,numberOnly:true, enable:is_editable" placeholder="<?php echo lang('ESTIMATED_HOURS')?>" class="form-control" maxlength="3" />
						</div>
					</div>
					<div class="form-group">
						<label class="col-sm-2 control-label" data-bind="visible:form.actual_start_date"><?php echo lang('ACTUAL_START')?></label>
						<label class="col-sm-2 control-label al" data-bind="visible:form.actual_start_date, text:form.actual_start_date"></label>
						<label class="col-sm-2 control-label" data-bind="visible:form.actual_finish_date"><?php echo lang('ACTUAL_FINISH')?></label>
						<label class="col-sm-2 control-label al" data-bind="visible:form.actual_finish_date, text:form.actual_finish_date"></label>
						<div class="form-group" data-bind="visible:form.worked_hours">
							<label class="col-sm-2 control-label"><?php echo lang('ACTUAL_HOURS')?></label>
							<label class="col-sm-2 control-label al" data-bind="hours:{val:form.worked_hours}"></label>
						</div>
					</div>
					<div class="form-group">
						<label class="col-sm-2 control-label checkbox">
							<input type="checkbox" data-bind="checked:form.is_milestone" /><?php echo lang('MILESTONE'); ?>
						</label>
					</div>
				</div>
				<div class="col-md-4 form-horizontal npr">
					<!-- ko ifnot:form.is_parent -->
					<div class="form-group">
						<label class="col-sm-2 control-label"><?php echo lang('ASSIGNEE')?></label>
						<div class="col-sm-10">
							<select data-bind="foreach:$root.users_sort, value:form.assignee_id, chosen:{imgSelect:true}, enable:is_editable" class="form-control input-sm">
								<option data-bind="value:user_id, text:first_name, attr:{'data-img-src':user_image}"></option>
							</select>
						</div>
					</div>
					<div class="form-group">
						<label class="col-sm-2 control-label"><?php echo lang('FOLLOWERS')?></label>
						<div class="col-sm-10">
							<select multiple="multiple" data-bind="foreach:$root.users_sort, selectedOptions:form.followers, chosen:{imgSelect:true}, enable:is_editable" class="form-control input-sm">
								<option data-bind="value:user_id, text:first_name, attr:{'data-img-src':user_image}"></option>
							</select>
						</div>
					</div>
					<div class="form-group">
						<label class="col-sm-2 control-label"><?php echo lang('STATUS')?></label>
						<div class="col-sm-10">
							<select data-bind="options:$root.task_status, optionsText:'name', optionsValue:'task_status_id', value:form.task_status_id, disable:children().length>0" class="form-control input-sm">
							</select>
						</div>
					</div>
					<!-- /ko -->
					<div class="form-group">
						<label class="col-sm-2 al control-label"><?php echo lang('PROGRESS')?></label>
						<div class="col-sm-4">
							<div class="form-group input-group nm">
								<input type="number" min="0" max="100" step="5" data-bind="value:form.percentage_complete,numberOnly:true, disable:children().length>0" placeholder="<?php echo lang('PERCENTAGE_COMPLETE')?>" class="form-control input-sm ar" maxlength="3" placeholder="Percentage Complete" />
								<i class="input-group-addon input-sm">%</i>
							</div>
						</div>
					</div>
					<div class="form-group">
						<div class="col-sm-10">
							<i><?php echo lang('CREATED_BY')?></i>&nbsp;&nbsp;<label class="control-label h4 nm" data-bind="text:form._info.created_by"></label>
						</div>
					</div>
				</div>
			</div>
			<!-- /ko -->
			<!-- ko ifnot:$parent.is_detail -->
			<div class="tab-pane dib col-md-6">
				<div id="timeline" class="fb-container" data-bind="if:form.task_id">
					<!-- ko if:($parent.is_comment() || $parent.is_document()) -->
					<ul class="media-list" data-bind="css:{'comm':$parent.is_comment, 'doc':$parent.is_document}, with:newActivity">
						<li class="media">
							<div id="new-comments" class="media-body well well-sm new-comments pr">
								<span class="file-upload icon icon-plus"></span>
								<div class="row nm" data-bind="css:{'shc':show_controls}">
									<textarea tabindex="1" rows="1" cols="25" placeholder="Post your Comments, Drop your files..." class="form-control commentContent" data-bind="autosize:true, value:message"></textarea>
									<div class="row controls">
										<div class="col-xs-6">
											<input type="file" multiple="" data-bind="fileApi:fileapi" class="fileAttachment" id="comments_attach" name="attachment_image" />
										</div>
										<div class="col-xs-6">
											<div class="btn-group pull-right">
												<button data-bind="click:save" class="btn btn-sm btn-success"><?php echo lang('POST'); ?></button>
												<button class="btn btn-primary btn-sm" data-bind="click:cancel" name="cancel">
													<span class="icon-remove-sign icon-white"></span>
												</button>
											</div>
										</div>
									</div>
								</div>
							</div>
						</li>
					</ul>
					<!-- /ko -->
					<ul class="media-list" data-bind="foreach:timeline">
						<!-- ko if:((timeline_type()=='comments' && $parents[1].is_comment()) || (timeline_type()=='attach' && $parents[1].is_document()) || (timeline_type()=='activity' && $parents[1].is_activity())) -->
						<!-- ko template:timeline_type --><!-- /ko -->
						<!-- /ko -->
					</ul>
				</div>
				<span class="h5" data-bind="if:(!form.task_id()&&form.name())"><?php echo lang('PLEASE_SAVE_THE_TASK'); ?></span>
			</div>
			<!-- /ko -->
		</div>
	</div>
</div>
