<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
	
?>
<div class="row nm">
	<div class="form-horizontal" data-bind="with:dbConfig">
		<div class="form-group nmlr">
			<h3><?php echo lang('STEP2_0'); ?></h3>
			<h4><?php echo lang('STEP2_1'); ?></h4>
		</div>
		<div class="form-group nmlr">
			<label for="dbdriver" class="col-sm-4 control-label"><?php echo lang('DATABASE_DRIVER'); ?></label>
			<div class="col-sm-6">
				<select class="form-control input-sm" tabindex="1" data-bind="value:dbdriver" id="dbdriver" name="dbdriver">
					<option value="mysql"><?php echo lang('MYSQL'); ?></option>
					<option value="mysqli"><?php echo lang('MYSQLI'); ?></option>
				</select>
			</div>
		</div>
		<div class="form-group nmlr">
			<label for="hostname" class="col-sm-4 control-label"><?php echo lang('HOST_NAME'); ?> *</label>
			<div class="col-sm-6">
				<input type="text" class="form-control" tabindex="2" data-bind="value:hostname" id="hostname" placeholder="<?php echo lang('HOST_NAME'); ?>" name="hostname" value="localhost">
			</div>
		</div>
		<div class="form-group nmlr">
			<label for="username" class="col-sm-4 control-label"><?php echo lang('USER_NAME'); ?> *</label>
			<div class="col-sm-6">
				<input type="text" class="form-control" tabindex="3" data-bind="value:username" id="username" placeholder="<?php echo lang('USER_NAME'); ?>" name="username" value="">
			</div>
		</div>
		<div class="form-group nmlr">
			<label for="password" class="col-sm-4 control-label"><?php echo lang('PASSWORD'); ?>&nbsp;&nbsp;</label>
			<div class="col-sm-6">
				<input type="password" class="form-control" tabindex="4" data-bind="value:password" id="password" placeholder="<?php echo lang('PASSWORD'); ?>" name="password" value="">
			</div>
		</div>
		<div class="form-group nmlr">
			<label for="database" class="col-sm-4 control-label"><?php echo lang('DATABASE_NAME'); ?> *</label>
			<div class="col-sm-6">
				<input type="text" class="form-control" tabindex="5" data-bind="value:database" id="database" placeholder="<?php echo lang('DATABASE_NAME'); ?>" name="database_name" value="">
			</div>
		</div>
		<?php /*
		<div class="form-group nmlr">
			<label for="dbprefix" class="col-sm-4 control-label">Table Prefix</label>
			<div class="col-sm-6">
				<input type="text" class="form-control" tabindex="6" data-bind="value:dbprefix" id="dbprefix" placeholder="Table Prefix" name="table_prefix" value="ot_" maxlength="8">
			</div>
		</div>
		<div class="form-group nmlr">
			<label for="sampledata" class="col-sm-4 control-label">Install Sample Data</label>
			<div class="col-sm-6">
				<input type="checkbox" class="form-control" tabindex="7" data-bind="value:sampledata" id="sampledata" name="sampledata" />
			</div>
		</div>
		*/ ?>
		<div class="form-group nmlr">
			<div class="col-sm-4">
			</div>
			<div class="col-sm-6">
				<input type="button" data-bind="click:$parent.prev" tabindex="9" class="btn btn-success btn-big" value="<?php echo lang('PREVIOUS'); ?>" />
				<input type="button" data-bind="click:$parent.next" tabindex="8" class="btn btn-success btn-big pull-right" value="<?php echo lang('NEXT'); ?>" />
			</div>
		</div>
	</div>
</div>
